/*
 * $Id: item.h 205 2008-03-21 06:40:48Z jasta $
 *
 * Copyright (C) 2008 Josh Guilfoyle <jasta@devtcg.org>
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2, or (at your option) any
 * later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 */

#ifndef __ITEM_H
#define __ITEM_H

/*****************************************************************************/

void item_set_artist_data(FiveChange *chg, sqlite3_stmt *stmt, int col);
void item_set_album_data(FiveChange *chg, int artist_luid_col,
  sqlite3_stmt *stmt, int col);
void item_set_song_data(FiveChange *chg,
  int artist_luid_col, int album_luid_col, sqlite3_stmt *stmt, int col);

/*****************************************************************************/

#endif /* __ITEM_H */
